football

## Class Equipe

- java.lang.Object
- - football.Equipe

-     public class Equipe
      extends java.lang.Object

  Classe équipe, contient des joueurs
  Author:
    Adrien Poupa

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NOMBREJOUEURS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Equipe(java.lang.String club)` Création d'une équipe à partir d'un nom de club

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ajout(Joueur joueur)` Ajout d'un joueur dans le container de l'équipe
    `boolean` | `equals(java.lang.Object o)` Surcharge de equals
    `int` | `hashCode()` Surcharge de hashCode
    `java.lang.String` | `toString()` Affichage de l'équipe
    `void` | `triSalaire()` Tri des joueurs de l'équipe par salaire

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NOMBREJOUEURS

          public static final int NOMBREJOUEURS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Equipe

          public Equipe(java.lang.String club)

      Création d'une équipe à partir d'un nom de club
      Parameters:
        `club` - nom du club

  - ### Method Detail

    - #### ajout

          public void ajout(Joueur joueur)
                     throws EquipePleineException,
                            JoueurHorsClubEquipeException

      Ajout d'un joueur dans le container de l'équipe
      Parameters:
        `joueur` - joueur à jouter
      Throws:
        `EquipePleineException` - si l'équipe est pleine
        `JoueurHorsClubEquipeException` - si on ajoute un joueur qui n'est pas dans l'équipe

    - #### triSalaire

          public void triSalaire()

      Tri des joueurs de l'équipe par salaire

    - #### toString

          public java.lang.String toString()

      Affichage de l'équipe
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Equipe à afficher

    - #### equals

          public boolean equals(java.lang.Object o)

      Surcharge de equals
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - objet à comparer
      Returns:
        true/false

    - #### hashCode

          public int hashCode()

      Surcharge de hashCode
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hash int unique